sc::InputError(3)

NAME
sc::InputError -

This is thrown when invalid input is provided.

SYNOPSIS

#include <scexception.h>

Inherits sc::SCException.

  Public Member Functions
InputError (const char *description=0, const char *file=0, int line=0, const char *keyword=0, const char *value=0, const ClassDesc *class_desc=0, const char *exception_type='InputError') throw ()
InputError (const InputError &) throw ()
const char * keyword () const throw ()
const char * value () const throw ()

Detailed Description

This is thrown when invalid input is provided. Note that sometimes input can be internally generated, so what logically would be a ProgrammingError could result in an InputError being thrown.

Author

Generated automatically by Doxygen for MPQC from the source code.